_player = Turbine.Gameplay.LocalPlayer.GetInstance();
_imageDir="GambitHelper2/Resources/"
_iconDir="GambitHelper2/Resources/icons/"

--
-- Setup of this list as follows
--	Type	LvL	UNUSED	Skillname			Image file
--

_gambitList={							
{	"HOT",	5,	"21"	,"Persevere",				"persevere"				},-- 1
{	"HOT",	14,	"212"	,"Safeguard",				"safeguard"				},--
{	"HOT",	36,	"2121"	,"Celebration of Skill",	"celebration_of_skill"	},-- 24 (was: 40)
{	"HOT",	43,	"23232"	,"Conviction",				"conviction"			},-- 16 (was: 54)
{	"HOT",	45,	"21212"	,"Restoration",				"restoration"			},-- 24 (was: 74)

{	"TOT",	7,	"31"	,"Precise Blow",			"precise_blow"			},-- 
{	"TOT",	7,	"32"	,"War Cry",					"war_cry"				},--
--{	"TOT",	83,	"32312"	,"Call to Battle",			"call_to_battle"		}, -- removed from game

{	"TT",	5,	"23"	,"Impressive Flourish",		"impressive_flourish"	},-- 1
{	"TT",	14,	"232"	,"Maddening Strike",		"maddening_strike"		},--
--{	"TT",	36,	"2323"	,"Dance Of War",			"dance_of_war"			},-- 34 (was: 42)
{	"TT",	22,	"231"	,"Deflection",				"deflection"			}, -- removed from game
--{	"TT",	43,	"23232"	,"Conviction",				"conviction"			},-- 16 (was: 54)
--{	"TT",	62,	"3213"	,"Aggression",				"aggression"			}, -- removed from game

{	"TI",	1,	"33"	,"Goad",					"goad"					},-- 1 (was: 4)
{	"TI",	16,	"313"	,"Piercing Strike",			"piercing_strike"		},--
--{	"TI",	27,	"3131"	,"Spear of Virtue",			"spear_of_virtue"		},--
{	"TI",	34,	"3232"	,"Surety of Death",			"surety_of_death"		},-- 16 (was: 48)
{	"TI",	27,	"3231"	,"Resounding Challenge",	"resounding_challenge"	},--

{	"AVOID",1,	"22"	,"Defensive Strike",		"defensive_strike"		},-- 1 (was: 2)
{	"AVOID",18,	"213"	,"Shield Up",				"shield_up"				}, -- removed from game
{	"AVOID",30,	"2132"	,"Shield Mastery",			"shield_mastery"		},-- 10 ranks Determination = min lvl 25
--{	"AVOID",44,	"1212"	,"Wall of Steel",			"wall_of_steel"			},-- 44 (was: 36)
{	"AVOID",36,	"2323"	,"Dance Of War",			"dance_of_war"			},-- 34 (was: 42)
--{	"AVOID",58,	"1321"	,"Adroit Manoeuvre",		"adroit_manoeuvre"		},--
{	"AVOID",30,	"2312"	,"Shield Tactics",			"shield_tactics"		},-- 20 ranks Determination = min lvl 45
--{	"AVOID",70,	"13213"	,"Warden's Triumph",		"wardens_triumph"		},--

{	"DOT",	1,	"11"	,"Deft Strike",				"deft_strike"			},--
{	"DOT",	3,	"12"	,"The Boot",				"the_boot"				},-- 1 (was: 3)
{	"DOT",	3,	"13"	,"Offensive Strike",		"offensive_strike"		},-- 1 (was: 10)
{	"DOT",	12,	"123"	,"Power Attack",			"power_attack"			},--
{	"DOT",	16,	"323"	,"Brink of Victory",		"brink_of_victory"		},-- 34 (was: 22)
{	"DOT",	12,	"131"	,"Combination Strike",		"combination_strike"	},--
{	"DOT",	22,	"121"	,"Onslaught",				"onslaught"				},--
{	"DOT",	32,	"1212"	,"Wall of Steel",			"wall_of_steel"			},-- 44 (was: 36)
{	"DOT",	25,	"1231"	,"Mighty Blow",				"mighty_blow"			},-- 
{	"DOT",	25,	"1313"	,"Boar's Rush",				"boars_rush"			},--
{	"DOT",	27,	"3131"	,"Spear of Virtue",			"spear_of_virtue"		},--
{	"DOT",	34,	"3232"	,"Surety of Death",			"surety_of_death"		},-- 16 (was: 48)
{	"DOT",	40,	"12312"	,"Unerring Strike",			"unerring_strike"		},--
{	"DOT",	20,	"132"	,"Reversal",				"reversal"				},-- 50 (was: 52)
{	"DOT",	46,	"32323"	,"Desolation",				"desolation"			},-- 34 (was: 56)
{	"DOT",	32,	"1321"	,"Adroit Manoeuvre",		"adroit_manoeuvre"		},-- 
{	"DOT",	44,	"12131"	,"The Dark Before Dawn",	"the_dark_before_dawn"	},-- 60 (was: 64)
{	"DOT",	42,	"13213"	,"Warden's Triumph",		"wardens_triumph"		},--
{	"DOT",	47,	"12121"	,"Cauterizing Steel",		"cauterizing_steel"		},-- NEW
{	"DOT",	48,	"31313"	,"Spear of Fate",			"spear_of_fate"			},-- NEW
{	"DOT",	49,	"31313"	,"Unseen Strikes",			"unseen_strikes"		},-- NEW

{	"MD",	20,	"312"	,"Fierce Resolve",			"fierce_resolve"		},-- 24 (was: 24)
{	"MD",	50,	"31232"	,"Exultation of Battle",	"exultation_of_battle"	},--
{	"MD",	34,	"3123"	,"Resolution",				"resolution"			} -- 
}

function SelectNone()
	_ghData.selected = {}
	for i,j in pairs(_gambitList) do
		_ghData.selected[j[4]] = false
	end
end

function FilterGambitList()

	if (_ghData.showall) then
		_levelFilter = 85
	else
		_levelFilter = _player:GetLevel();
	end

	_filteredGambitList={HOT={},TOT={},TT={},TI={},AVOID={}, DOT={},MD={}}
	local _winHeight=0
	local _winHeight2=0
	for i,j in ipairs(_gambitList) do
		if _levelFilter>=j[2] then
			if j[1]=="HOT" then
				table.insert (_filteredGambitList.HOT,{j[3],j[5],j[4]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="TOT" then
				table.insert (_filteredGambitList.TOT,{j[3],j[5],j[4]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="TT" then
				table.insert (_filteredGambitList.TT,{j[3],j[5],j[4]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="TI" then
				table.insert (_filteredGambitList.TI,{j[3],j[5],j[4]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="AVOID" then
				table.insert (_filteredGambitList.AVOID,{j[3],j[5],j[4]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="DOT" then
				table.insert (_filteredGambitList.DOT,{j[3],j[5],j[4]})
				_winHeight2 = _winHeight2 + 1
			end
			if j[1]=="MD" then
				table.insert (_filteredGambitList.MD,{j[3],j[5],j[4]})
				_winHeight2 = _winHeight2 + 1
			end
		end
	end
	
	local headcount1=0
	local headcount2=0
	if (tablelength(_filteredGambitList.HOT) >0) then headcount1=headcount1+1 end
	if (tablelength(_filteredGambitList.TOT) >0) then headcount1=headcount1+1 end
	if (tablelength(_filteredGambitList.TT) >0) then headcount1=headcount1+1 end
	if (tablelength(_filteredGambitList.TI) >0) then headcount1=headcount1+1 end
	if (tablelength(_filteredGambitList.AVOID) >0) then headcount1=headcount1+1 end
	if (tablelength(_filteredGambitList.DOT) >0) then headcount2=headcount2+1 end
	if (tablelength(_filteredGambitList.MD) >0) then headcount2=headcount2+1 end

	headersize1=headcount1*12
	headersize2=headcount2*12
			
	if _ghData.big then _OSD=24 else _OSD=18 end

	GambitWindow1:SetSize(198+_OSD-18,764)
	GambitWindow2:SetSize(198+_OSD-18,764)
	GList:SetSize(180+_OSD-18,_winHeight*_OSD+headersize1) -- resize window to fit all gambit available.
	iconList1:SetSize(_OSD,_winHeight*_OSD+headersize1)
	GList:SetPosition(_OSD,764-(_winHeight*_OSD)-headersize1-14)
	iconList1:SetPosition(0,764-(_winHeight*_OSD)-headersize1-14)
	
	moraleBar:SetPosition(_OSD,750);
	
	GList2:SetSize(180+_OSD-18,_winHeight2*_OSD+headersize2) -- resize window to fit all gambit available.
	iconList2:SetSize(_OSD,_winHeight2*_OSD+headersize2)
	GList2:SetPosition(_OSD,764-(_winHeight2*_OSD)-headersize2-14)
	iconList2:SetPosition(0,764-(_winHeight2*_OSD)-headersize2-14)
	
	powerBar:SetPosition(_OSD,750);
	
	-- refresh dragbars
	GambitWindow1.DragBar:Refresh()
	GambitWindow2.DragBar:Refresh()
end